Bug 1413515 - Switch OpenLDAP from NSS to OpenSSL
Summary: Switch OpenLDAP from NSS to OpenSSL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matus Honek
QA Contact:
URL:
Whiteboard: SystemWideChange, ChangeAcceptedF28
Depends On: 1400570
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 09:27 UTC by Jan Kurik
Modified: 2018-05-03 11:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 11:09:24 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2017-01-16 09:27:49 UTC
This is a tracking bug for Change: Switch OpenLDAP from NSS to OpenSSL
For more details, see: https://fedoraproject.org//wiki/Changes/OpenLDAPwithOpenSSL

Currently, OpenLDAP in Fedora is compiled with NSS (aka MozNSS) for cypto. OpenLDAP is going to be compiled with OpenSSL, instead.

Comment 1 Jan Kurik 2017-02-28 10:08:32 UTC
On 2017-Feb-28, we have reached the Fedora 26 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Mar-03 meeting.

Comment 2 Fedora End Of Life 2017-02-28 10:59:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jan Kurik 2017-03-01 09:49:27 UTC
May I ask for status update on this Change, as requested in Comment #1 ?

Comment 4 Matus Honek 2017-03-02 15:46:33 UTC
Hello Jan,

this change is taking more effort than we had expected. We have decided to push the change one release forward and plan to have it included in Fedora 27.

Please, let me know what steps I should take to do so, including the changes to be made to the Change Proposal wiki page.

Thank you.

Comment 5 Jan Kurik 2017-03-17 05:42:04 UTC
The Change is deferred to F27: https://pagure.io/fesco/issue/1688#comment-430734

Comment 6 Jan Kurik 2017-08-15 09:05:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 7 Matus Honek 2018-02-08 13:48:33 UTC
As per https://pagure.io/fesco/issue/1745#comment-455823 this change has landed as stated in the development bug 1400570. Therefore, changing this bug's status to MODIFIED.

Comment 8 Jan Kurik 2018-03-02 14:09:35 UTC
As per the comment above, I am marking this as part of the F28 release.

Comment 9 Jan Kurik 2018-03-06 08:58:09 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 10 Matus Honek 2018-03-06 09:28:20 UTC
Sorry, forgot to change the state. Doing so now.


Note You need to log in before you can comment on or make changes to this bug.